using System;

namespace Kvalifikacije2
{
    class Program
    {
        static void Main(string[] args)
        {
            
            int t = int.Parse(Console.ReadLine());
            var s = Console.ReadLine().Split();
            for (int i = 0; i < t; i++)
            {
                int n = int.Parse(s[0]);
                int m = int.Parse(s[1]);
                int k = int.Parse(s[2]);

                if (n == 3)
                {
                    if (k == 1)
                    {
                        if (m >= 6)
                        {
                            Console.WriteLine("Tak");
                        }
                        else
                        {
                            Console.WriteLine("Nie");
                        }
                    }
                    else
                    {
                        if (k == 2)
                        {
                            if (m >= 4)
                            {
                                Console.WriteLine("Tak");
                            }
                            else
                            {
                                Console.WriteLine("Nie");
                            }
                        }
                        else
                        {
                            if (k==3)
                            {
                                if (m>=6)
                                {
                                    Console.WriteLine("Tak");
                                }
                                else
                                {
                                    Console.WriteLine("Nie");
                                }
                            }
                            else
                            {
                                Console.WriteLine("Nie");
                            }
                        }

                    }
                }
                else
                {
                    if (k == 1)
                    {
                        if (m >= (n + n * (n - 1) / 2))
                        {
                            Console.WriteLine("Tak");
                        }
                    }
                    else
                    {
                        Console.WriteLine("Nie");
                    }
                }
            }
        }
    }
}